### Method

# GObject ValueArray copy

deprecated: 2.32

#### Declaration [src]

    GValueArray*
    g_value_array_copy (
      const GValueArray* value_array
    )

#### Description [src]

Construct an exact copy of a `GValueArray` by duplicating all its contents.

Deprecated since: 2.32

Use `GArray` and `g_array_ref()` instead.

#### Return value

Type: `GValueArray`

Newly allocated copy of `GValueArray`.

The caller of the method takes ownership of the data, and is responsible for freeing it.